Subject: draft-ietf-nfsv4-02 and nfs4_prot.x

From: "Sergey Klyushin" <[email-masked]>
Date: Mon, 8 Nov 1999 01:28:23 -0500

There are some difference in new nfs4_prot.x and description of procedures
in draft-ietf-nfsv4-02:
1. SETCLIENTID
2. CREATE
3. union open_delegation4
4. SETATTR4res
5. WRITE4args
6. COMPOUND (enum nfs_opnum4, struct COMPOUND4args, struct COMPOUND4res,
...)
7. CB_COMPOUND
8.1 "union nfs_cb_argop4 switch (unsigned argop)" should be changed to
"union nfs_cb_argop4 switch (enum nfs_cb_opnum4)" in nfs4_prot.x
8.2 "union nfs_cb_resop4 switch (unsigned resop)" should be changed to
"union nfs_cb_resop4 switch (enum nfs_cb_opnum4)" in nfs4_prot.x
9. There was discussion of changing FATTR4_CHOWN_RESTRICTED to
FATTR4_CHOWN_ALLOWED

Sergey